Package org.jboss.resteasy.client.jaxrs.cache

## Class CacheEntry

- java.lang.Object
- - org.jboss.resteasy.client.jaxrs.cache.CacheEntry

- All Implemented Interfaces:
    `Serializable`, `BrowserCache.Entry`

      public class CacheEntry
      extends Object
      implements BrowserCache.Entry, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CacheEntry​(String key, javax.ws.rs.core.MultivaluedMap<String,​String> headers, byte[] cached, int expires, String etag, String lastModified, javax.ws.rs.core.MediaType mediaType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addExtendedProperty​(Serializable key, Serializable value)` |
    `boolean` | `expired()` |
    `byte[]` | `getCached()` |
    `Object` | `getExtendedProperty​(Serializable key)` |
    `javax.ws.rs.core.MultivaluedMap<String,​String>` | `getHeaders()` |
    `String` | `getKey()` |
    `javax.ws.rs.core.MediaType` | `getMediaType()` |
    `BrowserCache.Header[]` | `getValidationHeaders()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CacheEntry

          public CacheEntry​(String key,
                            javax.ws.rs.core.MultivaluedMap<String,​String> headers,
                            byte[] cached,
                            int expires,
                            String etag,
                            String lastModified,
                            javax.ws.rs.core.MediaType mediaType)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### getHeaders

          public javax.ws.rs.core.MultivaluedMap<String,​String> getHeaders()

      Specified by:
        `getHeaders` in interface `BrowserCache.Entry`

    - #### expired

          public boolean expired()

      Specified by:
        `expired` in interface `BrowserCache.Entry`

    - #### getValidationHeaders

          public BrowserCache.Header[] getValidationHeaders()

      Specified by:
        `getValidationHeaders` in interface `BrowserCache.Entry`

    - #### getCached

          public byte[] getCached()

      Specified by:
        `getCached` in interface `BrowserCache.Entry`

    - #### getMediaType

          public javax.ws.rs.core.MediaType getMediaType()

      Specified by:
        `getMediaType` in interface `BrowserCache.Entry`

    - #### addExtendedProperty

          public void addExtendedProperty​(Serializable key,
                                          Serializable value)

    - #### getExtendedProperty

          public Object getExtendedProperty​(Serializable key)